package com.mx.cneeds.server.device.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mx.cneeds.common.pager.PageUtils;
import com.mx.cneeds.server.entity.DeviceInfoEntity;

import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * 设备信息
 *
 * @author Mark
 * @email sunlightcs@gmail.com
 * @date 2020-03-18 14:44:30
 */
public interface DeviceInfoService extends IService<DeviceInfoEntity> {

    PageUtils queryPage(Map<String, Object> params);

    void updateBatchByImei(List<DeviceInfoEntity> deviceInfoEntityList);

    DeviceInfoEntity queryDeviceByImei(String imei);

    List<DeviceInfoEntity> queryDeviceByImeis(List<String> imeis);

    List<DeviceInfoEntity> queryDeviceByIds(Set<Long> ids);

    List<DeviceInfoEntity> queryDeviceByDeviceIdAndChannelRules(Integer channelRules, List<Long> deviceIds);

    void updateByImei(DeviceInfoEntity deviceInfoEntity);
}

